# Generated by Django 4.2.7 on 2023-11-13 01:26

from django.db import migrations


def go(apps, schema_editor):
    Position = apps.get_model("seawatch_registration", "Position")
    Position.objects.filter(key="2nd-3rd-eng").update(open_for_applications=False)
    for key, name in [("2nd-eng", "2nd Engineer"), ("3rd-eng", "3rd Engineer")]:
        Position.objects.update_or_create(
            key=key,
            defaults={
                "name": name,
                "open_for_applications": True,
            },
        )


class Migration(migrations.Migration):
    dependencies = [
        ("seawatch_registration", "0041_update_position_groups"),
    ]

    operations = [migrations.RunPython(go)]
